> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List reserved fixed IPs

> List all reserved fixed IPs in the specified project and region.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/reserved_fixed_ips/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 2e769ad691db
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/reserved_fixed_ips/{project_id}/{region_id}:
    get:
      tags:
        - Reserved IPs
      summary: List reserved fixed IPs
      description: List all reserved fixed IPs in the specified project and region.
      operationId: ReservedFixedIPsViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 4
            examples:
              - 4
            title: Region Id
            type: integer
        - in: query
          name: available_only
          required: false
          description: >-
            Set True if response should only list IP addresses that are not
            attached to any instance
          schema:
            default: false
            description: >-
              Set True if response should only list IP addresses that are not
              attached to any instance
            title: Available Only
            type: boolean
        - in: query
          name: device_id
          required: false
          description: Filter IPs by device ID it is attached to
          schema:
            description: Filter IPs by device ID it is attached to
            title: Device Id
            type: string
        - in: query
          name: external_only
          required: false
          description: Set to true if the response should only list public IP addresses
          schema:
            default: false
            description: Set to true if the response should only list public IP addresses
            title: External Only
            type: boolean
        - in: query
          name: internal_only
          required: false
          description: Set to true if the response should only list private IP addresses
          schema:
            default: false
            description: Set to true if the response should only list private IP addresses
            title: Internal Only
            type: boolean
        - in: query
          name: ip_address
          required: false
          description: >-
            Optional. An IPv4 address to filter results by. Regular expression
            allowed
          schema:
            description: >-
              Optional. An IPv4 address to filter results by. Regular expression
              allowed
            title: Ip Address
            type: string
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: order_by
          required: false
          description: >-
            Optional. Ordering reserved fixed IP list result by name, status,
            `updated_at`, `fixed_ip_address` or `created_at` fields of the
            reserved fixed IP and directions (status.asc).
          schema:
            $ref: '#/components/schemas/ReservedFixedIPOrderByChoices'
            default: fixed_ip_address.asc
            description: >-
              Optional. Ordering reserved fixed IP list result by name, status,
              `updated_at`, `fixed_ip_address` or `created_at` fields of the
              reserved fixed IP and directions (status.asc).
        - in: query
          name: vip_only
          required: false
          description: Set to true if the response should only list VIPs
          schema:
            default: false
            description: Set to true if the response should only list VIPs
            title: Vip Only
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReservedFixedIPCollectionSerializer'
components:
  schemas:
    ReservedFixedIPOrderByChoices:
      enum:
        - created_at.asc
        - created_at.desc
        - fixed_ip_address.asc
        - fixed_ip_address.desc
        - name.asc
        - name.desc
        - status.asc
        - status.desc
        - updated_at.asc
        - updated_at.desc
      title: ReservedFixedIPOrderByChoices
      type: string
    ReservedFixedIPCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/ReservedFixedIPSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: ReservedFixedIPCollectionSerializer
      type: object
    ReservedFixedIPSerializer:
      properties:
        allowed_address_pairs:
          description: >-
            Group of subnet masks and/or IP addresses that share the current IP
            as VIP
          example:
            - ip_address: 192.168.123.20
              mac_address: 00:16:3e:f2:87:16
            - ip_address: 192.168.0.2
              mac_address: 00:16:3e:f2:87:89
          examples:
            - - ip_address: 192.168.123.20
                mac_address: 00:16:3e:f2:87:16
              - ip_address: 192.168.0.2
                mac_address: 00:16:3e:f2:87:89
          items:
            $ref: '#/components/schemas/AllowedAddressPairsSerializer'
          title: Allowed Address Pairs
          type: array
        attachments:
          description: Reserved fixed IP attachment entities
          example:
            - resource_id: e3c6ee77-48cb-416b-b204-11b492cc776e3
              resource_type: instance
            - resource_id: e73a4dbd-da04-4b6e-8ef9-07e8742001b7
              resource_type: ai_cluster
          examples:
            - - resource_id: e3c6ee77-48cb-416b-b204-11b492cc776e3
                resource_type: instance
              - resource_id: e73a4dbd-da04-4b6e-8ef9-07e8742001b7
                resource_type: ai_cluster
          items:
            $ref: '#/components/schemas/AttachmentSerializer'
          title: Attachments
          type: array
        created_at:
          description: Datetime when the reserved fixed IP was created
          example: 2019-06-18T11:56:16+0000
          examples:
            - 2019-06-18T11:56:16+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: Task that created this entity
          examples:
            - 30378aea-9343-4ff6-be38-9756094e05da
          title: Creator Task Id
        fixed_ip_address:
          anyOf:
            - format: ipv4
              type: string
            - type: 'null'
          default: null
          description: IPv4 address of the reserved fixed IP
          examples:
            - 10.100.179.44
          title: Fixed Ip Address
        fixed_ipv6_address:
          anyOf:
            - format: ipv6
              type: string
            - type: 'null'
          default: null
          description: IPv6 address of the reserved fixed IP
          examples:
            - null
          title: Fixed Ipv6 Address
        is_external:
          description: If reserved fixed IP belongs to a public network
          example: false
          examples:
            - false
          title: Is External
          type: boolean
        is_vip:
          description: If reserved fixed IP is a VIP
          example: false
          examples:
            - false
          title: Is Vip
          type: boolean
        name:
          description: Reserved fixed IP name
          example: Reserved fixed ip 10.100.179.44
          examples:
            - Reserved fixed ip 10.100.179.44
          title: Name
          type: string
        network:
          $ref: '#/components/schemas/NetworkSerializer'
          description: Network details
        network_id:
          description: ID of the network the port is attached to
          example: eed97610-708d-43a5-a9a5-caebd2b7b4ee
          examples:
            - eed97610-708d-43a5-a9a5-caebd2b7b4ee
          format: uuid4
          title: Network Id
          type: string
        port_id:
          description: ID of the port underlying the reserved fixed IP
          example: 817c8a3d-bb67-4b88-a0d1-aec980318ff1
          examples:
            - 817c8a3d-bb67-4b88-a0d1-aec980318ff1
          format: uuid4
          title: Port Id
          type: string
        project_id:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: Project ID
          examples:
            - 1337
          title: Project Id
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        reservation:
          $ref: '#/components/schemas/ReservationSerializer'
          description: Reserved fixed IP status with resource type and ID it is attached to
        status:
          description: Underlying port status
          example: DOWN
          examples:
            - DOWN
          title: Status
          type: string
        subnet_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: ID of the subnet that owns the IP address
          examples:
            - 747db04a-2aac-4fda-9492-d9b85a798c09
          title: Subnet Id
        subnet_v6_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: ID of the subnet that owns the IPv6 address
          examples:
            - null
          title: Subnet V6 Id
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        updated_at:
          description: Datetime when the reserved fixed IP was last updated
          example: 2019-06-18T11:57:00+0000
          examples:
            - 2019-06-18T11:57:00+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - region_id
        - region
        - port_id
        - name
        - created_at
        - updated_at
        - status
        - network_id
        - network
        - is_external
        - is_vip
        - reservation
        - allowed_address_pairs
        - attachments
      title: ReservedFixedIPSerializer
      type: object
    AllowedAddressPairsSerializer:
      properties:
        ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - format: ipvanynetwork
              type: string
          description: >-
            Subnet mask or IP address of the port specified in
            `allowed_address_pairs`
          title: Ip Address
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: MAC address of the port specified in `allowed_address_pairs`
          title: Mac Address
      required:
        - ip_address
      title: AllowedAddressPairsSerializer
      type: object
    AttachmentSerializer:
      properties:
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Resource ID
          examples:
            - 83ed4ea6-bcae-4100-9e4d-36e541ff919b
          title: Resource Id
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Resource type
          examples:
            - instance
          title: Resource Type
      title: AttachmentSerializer
      type: object
    NetworkSerializer:
      properties:
        created_at:
          description: Datetime when the network was created
          example: 2019-06-18T11:56:16+0000
          examples:
            - 2019-06-18T11:56:16+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Task that created this entity
          examples:
            - fd50fdd1-0482-4c9b-b847-fc9924665af6
          title: Creator Task Id
        default:
          anyOf:
            - type: boolean
            - type: 'null'
          description: True if network has `is_default` attribute
          examples:
            - true
          title: Default
        external:
          description: True if the network `router:external` attribute
          example: true
          examples:
            - true
          title: External
          type: boolean
        id:
          description: Network ID
          example: eed97610-708d-43a5-a9a5-caebd2b7b4ee
          examples:
            - eed97610-708d-43a5-a9a5-caebd2b7b4ee
          format: uuid4
          title: Id
          type: string
        mtu:
          description: MTU (maximum transmission unit). Default value is 1450
          example: 1500
          examples:
            - 1500
          title: Mtu
          type: integer
        name:
          description: Network name
          example: public
          examples:
            - public
          title: Name
          type: string
        port_security_enabled:
          description: >-
            Indicates `port_security_enabled` status of all newly created in the
            network ports.
          example: true
          examples:
            - true
            - false
          title: Port Security Enabled
          type: boolean
        project_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Project ID
          examples:
            - 1337
          title: Project Id
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        segmentation_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Id of network segment
          examples:
            - 9
          title: Segmentation Id
        shared:
          description: True when the network is shared with your project by external owner
          example: false
          examples:
            - false
          title: Shared
          type: boolean
        subnets:
          description: List of subnetworks
          example:
            - f00624ab-41bc-4d54-a723-1673ce32d997
            - 41e0f698-4d39-483b-b77a-18eb070e4c09
          examples:
            - - f00624ab-41bc-4d54-a723-1673ce32d997
              - 41e0f698-4d39-483b-b77a-18eb070e4c09
          items:
            format: uuid4
            type: string
          title: Subnets
          type: array
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        type:
          description: Network type (vlan, vxlan)
          example: vlan
          examples:
            - vlan
          title: Type
          type: string
        updated_at:
          description: Datetime when the network was last updated
          example: 2019-06-18T11:57:00+0000
          examples:
            - 2019-06-18T11:57:00+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - name
        - mtu
        - created_at
        - updated_at
        - type
        - segmentation_id
        - external
        - default
        - shared
        - subnets
        - creator_task_id
        - task_id
        - tags
        - port_security_enabled
      title: NetworkSerializer
      type: object
    ReservationSerializer:
      properties:
        resource_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: ID of the instance or load balancer the IP is attached to
          examples:
            - 83ed4ea6-bcae-4100-9e4d-36e541ff919b
          title: Resource Id
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Resource type of the resource the IP is attached to
          examples:
            - instance
          title: Resource Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: IP reservation status
          examples:
            - attached
          title: Status
      title: ReservationSerializer
      type: object
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````